
.namespace s01_c01

function OnEnable()
	Closeup.OnEnable()
	OPLog.Log("OnEnable unit "..self.Name)
	if SampleLevel.IsEqual("s02_search_1","unstarted") then
		porte_chambre_02_hotspot.Flags_Visible = false
		c01_liste_s02_1_hotspot.Flags_Visible = true
		c01_liste_s02_1.Flags_Visible = true
	end
end


function UpdateAll()
	
end

function OnEnter() 
	

	SequencePlayer.Enabled = true
	SequencePlayer.PlaySequence("GP_106",self,nil)
	
end
function OnPickObject(objname)
		
end

function OnSequenceEnd(keyword)
	if UserData.IsEqual("displayTutorial", true) then
		if keyword == "GP_106" then
		NewTutorialManager.OpenPopupTuto("TU_03",nil,307,90,"waitforaction")
		popups_tuto.SetFrame(2)
		end
	end
	if keyword == "GP_110" then
		NavigationManager.SwitchTo(nil,"s02_SearchSite")
	end
end

function OnSearchEnd(typesearch)

end

function CondSpecificToFinish() -- Penser à comprendre à quoi ça sert

end